# $Revision: 1.56 $, $Date: 2009/03/30 18:33:27 $
# TODO:
# - build other speech plugins?
#
# Conditional build:
%bcond_without	festival	# don't build Festival plugin
%bcond_without	java		# don't build java subpackage
#
%ifnarch i586 i686 pentium3 pentium4 athlon %{x8664}
%undefine	with_java
%endif
Summary:	GNOME Speech - text-to-speech convertion
Summary(pl.UTF-8):	GNOME Speech - przekształcanie tekstu na mowę
Name:		gnome-speech
Version:	0.4.23
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-speech/0.4/%{name}-%{version}.tar.bz2
# Source0-md5:	54041cf87f7de56dd081848e86a08d4c
Patch0:		%{name}-jar_dir.patch
URL:		http://developer.gnome.org/projects/gap/
BuildRequires:	ORBit2-devel >= 1:2.14.7
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	espeak-devel
BuildRequires:	gnome-common >= 2.18.0
BuildRequires:	gtk-doc >= 1.8
%if %{with java}
BuildRequires:	java-access-bridge >= 1.18.0
BuildRequires:	jdk
%endif
BuildRequires:	libbonobo-devel >= 2.18.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	gnome-speech-driver
Provides:	gnome_speech
Obsoletes:	gnome_speech
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Speech purpose is to provide a simple general API for producing
text-to-speech output.

%description -l pl.UTF-8
Celem GNOME Speech jest udostępnienie prostego, ogólnego API do
przekształcania tekstu na mowę.

%package driver-espeak
Summary:	Espeak TTS Speech Driver
Summary(pl.UTF-8):	Sterownik mowy ESpeak TTS
Group:		Libraries
Requires:	espeak
Provides:	gnome-speech-driver

%description driver-espeak
Provides text to speech services using the Espeak Speech Synthesis
System.

%description driver-espeak -l pl.UTF-8
Ten pakiet udostępnia usługę przekształcania tekstu na mowę przy
użyciu systemu syntezy mowy Espeak.

%package driver-festival
Summary:	Festival TTS Speech Driver
Summary(pl.UTF-8):	Sterownik mowy Festival TTS
Group:		Libraries
Requires:	festival
Provides:	gnome-speech-driver

%description driver-festival
Provides the text to speech services using the Festival Speech
Synthesis System.

%description driver-festival -l pl.UTF-8
Ten pakiet udostępnia usługę przekształcania tekstu na mowę przy
użyciu systemu syntezy mowy Festival.

%package driver-speech-dispatcher
Summary:	Speech Dispatcher driver
Summary(pl.UTF-8):	Sterownik mowy Speech Dispatcher
Group:		Libraries
Provides:	gnome-speech-driver

%description driver-speech-dispatcher
Provides the text to speech services using Speech Dispatcher.

%description driver-speech-dispatcher -l pl.UTF-8
Ten pakiet udostępnia usługę przekształcania tekstu na mowę przy
użyciu systemu Speech Dispatcher.

%package devel
Summary:	Development files for gnome_speech
Summary(pl.UTF-8):	Pliki programistyczne dla gnome_speech
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libbonobo-devel >= 2.18.0
Provides:	gnome_speech-devel
Obsoletes:	gnome_speech-devel

%description devel
GNOME Speech files needed for development.

%description devel -l pl.UTF-8
Pliki GNOME Speech potrzebne do programowania.

%package static
Summary:	Static gnome-speech library
Summary(pl.UTF-8):	Statyczna biblioteka gnome-speech
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gnome-speech library.

%description static -l pl.UTF-8
Statyczna biblioteka gnome-speech.

%package java
Summary:	Java classes for gnome-speech
Summary(pl.UTF-8):	Klasy Java dla gnome-speech
Group:		Development/Languages/Java
Requires:	jpackage-utils

%description java
Java classes for gnome-speech.

%description java -l pl.UTF-8
Klasy Java dla gnome-speech.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--enable-static \
	--enable-gtk-doc \
	--with%{!?with_festival:out}-festival \
	--with-speech-dispatcher \
	%{?with_java:--with-jab-dir=%{_javadir}}
%{__make} \
	espeak_LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	orbittypelibdir=%{_libdir}/orbit-2.0 \
	DESTDIR=$RPM_BUILD_ROOT

# no *.la for orbit modules
rm -f $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/test-speech
%attr(755,root,root) %{_libdir}/libgnomespeech.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomespeech.so.?
%attr(755,root,root) %{_libdir}/orbit-2.0/*.so*

%files driver-espeak
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/espeak-synthesis-driver
%{_libdir}/bonobo/servers/GNOME_Speech_SynthesisDriver_Espeak.server

%if %{with festival}
%files driver-festival
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/festival-synthesis-driver
%{_libdir}/bonobo/servers/GNOME_Speech_SynthesisDriver_Festival.server
%endif

%files driver-speech-dispatcher
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/speechd-synthesis-driver
%{_libdir}/bonobo/servers/GNOME_Speech_SynthDriver_Speech_Dispatcher.server

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomespeech.so
%{_libdir}/libgnomespeech.la
%{_includedir}/gnome-speech-1.0
%{_datadir}/idl/gnome-speech-1.0
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomespeech.a

%if %{with java}
%files java
%defattr(644,root,root,755)
%{_javadir}/*.jar
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-speech.spec,v $
Revision 1.56  2009/03/30 18:33:27  megabajt
- release 2

Revision 1.55  2009/02/08 15:40:42  megabajt
- updated to 0.4.23

Revision 1.54  2008/11/17 13:55:10  megabajt
- updated to 0.4.22

Revision 1.53  2008/10/09 21:05:35  megabajt
- updated to 0.4.21

Revision 1.52  2008/07/17 13:11:46  megabajt
- updated to 0.4.20

Revision 1.51  2008/05/31 21:33:45  adamg
- updated to 0.4.19

Revision 1.50  2008-04-11 22:46:13  sls
- ver. 0.4.18
- rm espeak_api.patch

Revision 1.49  2008-03-13 17:48:21  hawk
- release 2

Revision 1.48  2008-02-15 17:35:54  tommat
- current espeak api version is 3

Revision 1.47  2007-12-30 21:43:22  zbyniu
- up to 0.4.17

Revision 1.46  2007-12-09 01:42:10  glen
- R: jpackage-utils for %{_javadir}

Revision 1.45  2007-09-03 19:52:30  megabajt
- updated to 0.4.16

Revision 1.44  2007/07/26 13:16:53  megabajt
- updated to 0.4.15

Revision 1.43  2007/06/20 15:57:17  qboosh
- pl for -driver-*

Revision 1.42  2007/06/20 14:56:33  megabajt
- split drivers into subpackages

Revision 1.41  2007/06/19 21:29:31  megabajt
- updated to 0.4.14

Revision 1.40  2007/05/23 07:25:35  megabajt
- updated to 0.4.12

Revision 1.39  2007/04/20 07:54:11  megabajt
- added festival bcond

Revision 1.38  2007/04/14 15:25:48  megabajt
- requires jdk to build

Revision 1.37  2007/04/09 18:16:34  megabajt
- updated to 0.4.11

Revision 1.36  2007/03/11 10:54:33  megabajt
- updated to 0.4.10
- build without java on architectures where java-sun doesn't exist

Revision 1.35  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.33  2006/12/24 12:36:17  megabajt
- up to 0.4.7

Revision 1.32  2006/08/29 06:48:19  grzegol
- 0.4.5

Revision 1.31  2006/08/26 12:55:32  grzegol
- 0.4.4

Revision 1.30  2006/08/14 12:32:57  grzegol
- updated to 0.4.3
- build java subpackage by default

Revision 1.29  2005/10/04 07:45:28  paladine
- updated to 0.3.8
- cosmetics

Revision 1.28  2005/05/16 09:14:37  paladine
- updated to 0.3.7
- removed am patch

Revision 1.27  2005/04/06 08:35:20  paladine
- require newer stuff

Revision 1.26  2005/02/25 23:12:03  paladine
- updated to 0.3.6
- proper license

Revision 1.25  2004/12/14 16:59:55  baggins
- DON'T hardcode java paths!

Revision 1.24  2004/09/15 18:24:37  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.23  2004/08/30 18:40:21  grzegol
- updated to 0.3.5

Revision 1.22  2004/06/10 17:51:45  grzegol
- updated to 0.3.3

Revision 1.21  2004/04/08 13:46:59  grzegol
- disable java by default

Revision 1.20  2004/03/11 15:35:37  grzegol
- added java subpackage and bcond without java
- removed nojava patch
- added jar_dir patch (install .jar file in %%{_prefix}/share/java directory)
- rel. 2

Revision 1.19  2004/03/09 00:47:21  grzegol
- updated to 0.3.2
- added static subpackage
- rebuild gtk-doc
- strict internal deps

Revision 1.18  2004/01/21 21:02:23  grzegol
- updated to 0.3.1

Revision 1.17  2003/12/17 14:22:36  wiget
- updated to 0.3.0

Revision 1.16  2003/11/25 19:59:38  grzegol
- updated to 0.2.8

Revision 1.15  2003/11/10 23:04:35  qboosh
- BR: am,lt

Revision 1.14  2003/10/14 10:59:07  qboosh
- BR: pkgconfig

Revision 1.13  2003/10/14 10:25:56  qboosh
- -devel deps, BR: gnome-common
- removed obsolete BR bonobo-activation-devel

Revision 1.12  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.11  2003/08/26 05:12:47  aflinta
- corrected nojava.patch

Revision 1.10  2003/08/26 05:00:35  aflinta
- version 0.2.7

Revision 1.9  2003/08/18 08:08:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/08/14 08:19:29  aflinta
- version 0.2.6

Revision 1.7  2003/08/12 21:22:56  aflinta
- version 0.2.5

Revision 1.6  2003/08/12 11:14:15  grzegol
- updated to 0.2.4
- added idl patch (adds missing GNOME_Speech.idl file)

Revision 1.5  2003/08/01 12:11:08  grzegol
- updated to 20030801 snap
- cosmetics

Revision 1.4  2003/06/10 19:27:47  aflinta
- version 0.2.3

Revision 1.3  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:48:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/05/20 12:29:08  aflinta
- moved form gnome_speech, updated to version 0.2.2 but doesnt work, orbit-idl-2 problems?

Revision 1.8  2003/05/13 12:16:47  aflinta
- release 2

Revision 1.7  2003/05/13 09:43:44  qboosh
- no *.la for orbit modules

Revision 1.6  2003/05/11 13:04:30  qboosh
- pl

Revision 1.5  2003/05/06 05:36:24  aflinta
- version 0.2.1

Revision 1.4  2003/05/01 20:29:27  kloczek
- cleanups.

Revision 1.3  2003/05/01 14:01:31  aflinta
- disabled java build, release 2

Revision 1.2  2003/04/30 22:16:59  grzegol
- added post/postun: /sbin/ldconfig

Revision 1.1  2003/04/30 19:24:23  aflinta
- PLD initial release
